summaryrefslogtreecommitdiff
path: root/goval
diff options
context:
space:
mode:
Diffstat (limited to 'goval')
-rwxr-xr-xgoval14
1 files changed, 14 insertions, 0 deletions
diff --git a/goval b/goval
new file mode 100755
index 0000000..6c598c6
--- /dev/null
+++ b/goval
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+##
+## validate a gophermap -- just pipe in the file
+##
+## (c) 2018 Vincenzo 'KatolaZ' Nicosia <katolaz@freaknet.org>
+##
+
+FIN=${1:-/dev/stdin}
+
+res=$(cat $FIN | sed -n -E -e '/(^[0-9+gIThis].*\t.*\t.*\t|^\.\r$)/! =' | tr '\n' ' ')
+
+[ -z "$res" ] && exit 0
+echo "Errors on lines: $res" >&2 && exit 1